Skip to main content
Astra Automation
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

列出所有 LDAP 用户

GET /accounts/{account_id}/core/v1/ldapUsers

返回包含请求 URL 结果的 JSON 对象的 JSON 数组。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

包括

string

查询

False

指示列出集合时应返回哪些字段。

URL 示例:"include=id"、"include=id,name"

OpenAPI 示例:"id"

  • 示例:id,cn,dn

limit

string

查询

False

指示列出集合时要返回的最大资源数。

URL 示例:"limit=2"

OpenAPI 示例:"2"

筛选器

string

查询

False

指示在列出集合时应匹配哪些字段以返回资源。

支持的运算符有:

  • eq - 相等

  • lt/gt - 小于/大于

  • lte/gte - 小于或等于/大于或等于

URL 示例:"filter=field%20eq%20%27value%27"

OpenAPI 示例:"field eq 'value'"

继续

查询

False

指示要从中恢复列表的令牌。

URL 示例:"continue="

OpenAPI 示例:"</continue>+</continue>

响应

Status: 200, Returns a JSON array of JSON objects containing the results of the request URL.
名称 Type Required Description

个项

数组[任意一个:"ldapUser_1.0_get_response_body",数组[]]

True

元数据

"type_astra_metadata_list"

True

响应示例
{
  "type": "application/astra-ldapUsers",
  "version": "1.0",
  "items": [
    [
      "b4bcef18-14ad-5bc1-91ce-3cce15aa8791",
      "John Doe",
      "cn=John Doe,ou=people,dc=example,dc=com"
    ],
    [
      "98b10d6f-8693-555f-b258-70de4cc7301f",
      "Jane Doe",
      "cn=Jane Doe,ou=people,dc=example,dc=com"
    ]
  ],
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/14",
  "title": "Unauthorized access",
  "detail": "The user isn't enabled.",
  "status": "403"
}

响应

Status: 406, Not acceptable
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/32",
  "title": "Unsupported content type",
  "detail": "The response can't be returned in the requested format.",
  "status": "406"
}

响应

Status: 500, Internal server error
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/34",
  "title": "Internal server error",
  "detail": "The server was unable to process this request.",
  "status": "500"
}

错误

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

错误响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

定义

查看定义

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

名称 Type Required Description

labels

数组["类型 Astra 标签"]

True

creationTimestamp

string

True

modificationTimestamp

string

True

已创建

string

True

modifiedBy

string

False

ldapUser_1.0_get_response_body

名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-ldapUser"

version

string

True

资源的版本。定义的值为:

  • "1.0"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

电子邮件

string

False

表示 LDAP 用户的电子邮件的 JSON 字符串。定义的值为:

  • 最小长度:3

  • 最大长度:63

firstName

string

False

表示 LDAP 用户名字的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:63

lastName

string

False

表示 LDAP 用户姓氏的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:63

cn

string

False

表示 LDAP 组名称的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:63

dn

string

False

表示 LDAP 组可分辨名称的 JSON 字符串。定义的值为:

  • 符合 RFC 4514

元数据

"type_astra_metadata"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

type_astra_metadata_list

名称 Type Required Description

继续

string

False

count

数字

False

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因